Subject: Re: bug#7467: Could nxml-mode avoid reindenting <pre>...</pre>?

From: Lennart Borgman <[email-masked]>
Date: Tue, 23 Nov 2010 00:08:06 +0100

On Mon, Nov 22, 2010 at 11:57 PM, Jason Rumney <[email-masked]> wrote:
> Lennart Borgman <[email-masked]> writes:
>
>> Since the content in <pre>...</pre> is preformatted it would be good
>> if nxml-mode did not reformat it during indentation.
>
> XML attaches no such semantic meaning to tags.
>
> Maybe it would be useful for nxml-mode to have a more general way for
> the user to specify not to indent within a block denoted by a
> tag.

Yes, it should probably be more general to allow for specific handling
of certain tags in certain DTD:s, for example <pre> in XHTML.